<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/group_fileprocessing.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
// manage Favorites 
if ( $xml->nodeName($current_path)=="CREATE" || $xml->nodeName($current_path)=="UPDATE" ){
	include_once(dirname(__FILE__)."/../file/file_config.inc.php");
	include_once(dirname(__FILE__)."/../file/file_functions.inc.php");
	if ($values["IsTeam"]=="1"){
		foreach($IDs_array as $ID){
			$target="/group/$ID";
			global $directoryRoot;
			// unzip if zipped in the past
			if (file_exists($directoryRoot.$target.".zip")){
				unzip($directoryRoot.$target.".zip",$directoryRoot."/group/");
				unlink($directoryRoot.$target.".zip");
			}
			if(!is_dir($directoryRoot.$target."/")){
				makedir($directoryRoot.$target."/");
			}
		}
	}else if ( $values["IsTeam"]=="0" ){ // formerly a team and no more a team -> zipping the directory
		foreach($IDs_array as $ID){
			$target = "/group/$ID";
			global $directoryRoot;
			if (file_exists($directoryRoot.$target."/")){
				zip($directoryRoot.$target."/",$directoryRoot.$target.".zip");
				killDirectory($directoryRoot.$target."/");
			}
		}
	}
}
if ( $xml->nodeName($current_path)=="DELETE" ){
	include_once(dirname(__FILE__)."/../file/file_config.inc.php");
	include_once(dirname(__FILE__)."/../file/file_functions.inc.php");
	foreach($IDs_array as $ID){
		$target = "/group/$ID";
		global $directoryRoot;
		if (file_exists($directoryRoot.$target."/")){
			zip($directoryRoot.$target."/",$directoryRoot.$target.".zip");
			killDirectory($directoryRoot.$target."/");
		}
	}
}
return TRUE;
?>
